/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Technical information, provided to the API caller to allow it to complet the payment.
 */
@ApiModel(description = "Technical information, provided to the API caller to allow it to complet the payment.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class PaymentTechnicalInformation {
  @SerializedName("zuora_access")
  private ZuoraAccess zuoraAccess = null;

  public PaymentTechnicalInformation zuoraAccess(ZuoraAccess zuoraAccess) {
    this.zuoraAccess = zuoraAccess;
    return this;
  }

   /**
   * Get zuoraAccess
   * @return zuoraAccess
  **/
  @ApiModelProperty(required = true, value = "")
  public ZuoraAccess getZuoraAccess() {
    return zuoraAccess;
  }

  public void setZuoraAccess(ZuoraAccess zuoraAccess) {
    this.zuoraAccess = zuoraAccess;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    PaymentTechnicalInformation paymentTechnicalInformation = (PaymentTechnicalInformation) o;
    return Objects.equals(this.zuoraAccess, paymentTechnicalInformation.zuoraAccess);
  }

  @Override
  public int hashCode() {
    return Objects.hash(zuoraAccess);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class PaymentTechnicalInformation {\n");
    
    sb.append("    zuoraAccess: ").append(toIndentedString(zuoraAccess)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

